﻿using System;
using System.ComponentModel.DataAnnotations.Schema;

namespace EntityFrameworkNavigationProperties.Data.Entities
{
    public class Phone
    {
        [DatabaseGenerated(DatabaseGeneratedOption.Identity)]
        public Guid PhoneId { get; set; }
        public string Number { get; set; }

        // No foreign key defined
        // Entity Framework will add a foreign key to table called User_UserId

        // Navigation property
        public virtual Account Account { get; set; }
    }
}
