﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations.Schema;

namespace EntityFrameworkNavigationProperties.Data.Entities
{
    public class Account
    {
        public Account()
        {
            Phones = new List<Phone>();
            Addressess = new List<Address>();
        }

        [DatabaseGenerated(DatabaseGeneratedOption.Identity)]
        public Guid AccountId { get; set; }
        public string FirstName { get; set; }
        public string LastName { get; set; }

        public virtual ICollection<Phone> Phones { get; set; }
        public virtual ICollection<Address> Addressess { get; set; }
    }
}